summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2018-12-24 03:11:11 +0100
committer Willy Sudiarto Raharjo2018-12-24 03:11:11 +0100
commit5a3aecffdca70b25e44a246ed1b601b01a6674d8 (patch)
tree4511294e4326572c49c197c239c859b1dfee5c20 /academic
parentf6b1cc61cacf8d462a563b885065902a78d72fa7 (diff)
downloadslackbuilds-5a3aecffdca70b25e44a246ed1b601b01a6674d8.tar.gz
academic/diamond: Added (A sequence aligner).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/diamond/README33
-rw-r--r--academic/diamond/References2
-rw-r--r--academic/diamond/diamond.SlackBuild97
-rw-r--r--academic/diamond/diamond.info10
-rw-r--r--academic/diamond/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/academic/diamond/README b/academic/diamond/README
new file mode 100644
index 0000000000..a5c66d0988
--- /dev/null
+++ b/academic/diamond/README
@@ -0,0 +1,33 @@
+DIAMOND is a sequence aligner for protein and translated DNA searches,
+designed for high performance analysis of big sequence data. The key
+features are:
+
+- Pairwise alignment of proteins and translated DNA at 500x-20,000x
+ speed of BLAST.
+- Frameshift alignments for long read analysis.
+- Low resource requirements and suitable for running on standard
+ desktops or laptops.
+- Various output formats, including BLAST pairwise, tabular and XML,
+ as well as taxonomic classification.
+
+To now run an alignment task, we assume to have a protein database file
+in FASTA format named `nr.faa` and a file of DNA reads that we want to
+align named `reads.fna`.
+
+In order to set up a reference database for DIAMOND, the `makedb`
+command needs to be executed with the following command line:
+
+ $ diamond makedb --in nr.faa -d nr
+
+This will create a binary DIAMOND database file with the specified name
+(`nr.dmnd`). The alignment task may then be initiated using the `blastx`
+command like this:
+
+ $ diamond blastx -d nr -q reads.fna -o matches.m8
+
+The output file here is specified with the `–o` option and named
+`matches.m8`. By default, it is generated in BLAST tabular format.
+
+Publication:
+Buchfink B, Xie C, Huson DH, "Fast and sensitive protein alignment using
+DIAMOND", Nature Methods 12, 59-60 (2015). doi:10.1038/nmeth.3176
diff --git a/academic/diamond/References b/academic/diamond/References
new file mode 100644
index 0000000000..9eca810bbc
--- /dev/null
+++ b/academic/diamond/References
@@ -0,0 +1,2 @@
+Buchfink B, Xie C, Huson DH, "Fast and sensitive protein alignment using
+DIAMOND", Nature Methods 12, 59-60 (2015). doi:10.1038/nmeth.3176
diff --git a/academic/diamond/diamond.SlackBuild b/academic/diamond/diamond.SlackBuild
new file mode 100644
index 0000000000..934c1e800a
--- /dev/null
+++ b/academic/diamond/diamond.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for diamond
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=diamond
+VERSION=${VERSION:-0.9.23}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ${PRGNAM}_manual.pdf LICENSE README.md src/ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/diamond/diamond.info b/academic/diamond/diamond.info
new file mode 100644
index 0000000000..5163768da2
--- /dev/null
+++ b/academic/diamond/diamond.info
@@ -0,0 +1,10 @@
+PRGNAM="diamond"
+VERSION="0.9.23"
+HOMEPAGE="https://github.com/bbuchfink/diamond"
+DOWNLOAD="https://github.com/bbuchfink/diamond/archive/v0.9.23/diamond-0.9.23.tar.gz"
+MD5SUM="3597695081d4b6fd8978c257cdb5fe4a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/diamond/slack-desc b/academic/diamond/slack-desc
new file mode 100644
index 0000000000..d94b799c57
--- /dev/null
+++ b/academic/diamond/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+diamond: diamond (A sequence aligner for protein and translated DNA)
+diamond:
+diamond: DIAMOND is a sequence aligner for protein and translated DNA
+diamond: searches, designed for high performance analysis of big sequence
+diamond: data. The key features are:
+diamond:
+diamond: 1) 500x-20,000x speed of BLAST
+diamond: 2) Frameshift alignments for long read analysis.
+diamond: 3) Low resource requirements
+diamond: 4) Various output formats
+diamond: